1. Miki Tebeka
  2. startime

Commits

Miki Tebeka  committed ef7fced

Go

  • Participants
  • Parent commits f517337
  • Branches default

Comments (0)

Files changed (4)

File .hgignore

View file
  • Ignore whitespace
 noop.hi
 noopcc
 noophs
+noopgo

File go.sh

View file
  • Ignore whitespace
+#!/bin/bash
+# Compile a go program, foo.go will be compiled to foogo
+
+if [ $# -ne 1 ]; then
+    echo "usage: $(basename $0) SRC"
+    exit 1
+fi
+
+src=$1
+tmp=$(mktemp)
+6g -o $tmp $src
+6l -o ${src/.go/go} $tmp
+rm $tmp

File noop.go

View file
  • Ignore whitespace
+package main
+
+func main() {
+}

File run.py

View file
  • Ignore whitespace
     program(["javac", "noop.java"], ["java", "noop"], name="java"),
     program(["gmcs", "-optimize+", "noop.cs"], ["./noop.exe"], name="mono"),
     program(["ghc", "-v0", "-O", "-o", "noophs", "noop.hs"], ["./noophs"]),
+    program(["./go.sh", "noop.go"], ["./noopgo"], name="go"),
 ]
 
 def timeit(command):